## spykeutils 0.4.1

=== doc/source/requirements.txt ===
quantities
neo
mock

## spykeutils 0.3.0

=== debian/changelog ===
spykeutils (0.3.0-1) unstable; urgency=low

  * Package upstream 0.3.0.

 -- Robert Pröpper <robert.proepper@gmail.com>  Wed, 24 Apr 2013 18:24:19 +0100

spykeutils (0.2.1-1) experimental; urgency=low

  * Package upstream 0.2.1.

 -- Robert Pröpper <robert.proepper@gmail.com>  Fri, 25 Jan 2013 15:23:12 +0100

spykeutils (0.2.0-1) experimental; urgency=low

  * Initial public release (Closes: #687726).

 -- Robert Pröpper <robert.proepper@gmail.com>  Fri, 04 Jan 2013 17:47:09 +0100

spykeutils (0.1.0+git8-g4c21317-1) unstable; urgency=low

  * Initial packaging.

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 15 Sep 2012 09:07:33 -0400

=== debian/control ===
Source: spykeutils
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Robert Pröpper <robert.proepper@gmail.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>,
Build-Depends: debhelper (>= 7.2.18),
               python-all (>= 2.7),
               python-neo (>= 0.2.1),
               python-setuptools,
               python-nose,
               python-scipy,
               python-mock,
               python-sphinx,
               python-guidata,
               python-guiqwt,
               python-tables,
               python-sklearn (>= 0.11),
               python-joblib (>= 0.4.5),
Standards-Version: 3.9.3.1
Homepage: https://github.com/rproepp/spykeutils
Vcs-Browser: https://github.com/rproepp/spykeutils
Vcs-Git: git://github.com/rproepp/spykeutils.git
X-Python-Version: >= 2.7

Package: python-spykeutils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-neo (>= 0.2.1),
         python-nose,
         python-scipy,
         python-sphinx
Recommends: python-guidata,
            python-guiqwt,
            python-tables,
            libjs-jquery,
            libjs-underscore,
            python-sklearn (>= 0.11),
            python-joblib (>= 0.4.5),
Provides: ${python:Provides}
Description: utilities for analyzing electrophysiological data
 spykeutils is a Python library for analyzing and plotting data from
 neurophysiological recordings. It can be used by itself or in
 conjunction with Spyke Viewer, a multi-platform GUI application for
 navigating electrophysiological datasets.

## spykeutils 0.4.0

=== debian/changelog ===
spykeutils (0.4.0-1) unstable; urgency=low

  * Package upstream 0.4.0.

 -- Robert Pröpper <robert.proepper@gmail.com>  Thu, 15 Aug 2013 19:22:54 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python-tables,
                python-sklearn (>= 0.11),
                python-joblib (>= 0.4.5),
-Standards-Version: 3.9.3.1
+Standards-Version: 3.9.4
 Homepage: https://github.com/rproepp/spykeutils
 Vcs-Browser: https://github.com/rproepp/spykeutils
 Vcs-Git: git://github.com/rproepp/spykeutils.git

## spykeutils 0.4.1

=== debian/changelog ===
spykeutils (0.4.1-1) unstable; urgency=low

  * Package upstream 0.4.1.

 -- Robert Pröpper <robert.proepper@gmail.com>  Mon, 06 Jan 2014 14:30:06 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python-tables,
                python-sklearn (>= 0.11),
                python-joblib (>= 0.4.5),
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://github.com/rproepp/spykeutils
 Vcs-Browser: https://github.com/rproepp/spykeutils
 Vcs-Git: git://github.com/rproepp/spykeutils.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Prevent setup.py from downloading
export http_proxy = http://127.0.9.1:9

# one rule to rule them all ...
%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_build:
	dh_auto_build
	# and docs
	$(MAKE) -C doc html
	# but remove jquery copy (later on link to Debian's version)
	-rm doc/build/html/_static/jquery.js
	-rm doc/build/html/_static/underscore.js
	# objects inventory is of no use for the package
	-rm doc/build/html/objects.inv
	: # also doc source files only consume space
	-rm -r doc/build/html/_sources

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

# enable when we believe that the tests should pass
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; for buildver in $(shell pyversions -vr); do \
		echo "I: Running spykeutils unittests using python$$buildver"; \
		python$$buildver /usr/bin/nosetests spykeutils || exit 1 ;\
	done
endif

## immediately useable documentation
## and exemplar data (they are small excerpts anyway)
override_dh_compress:
	dh_compress -X.py -X.html -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -X.par -X.bin

override_dh_auto_clean:
	dh_auto_clean
	-rm -rf doc/build build
	-rm -rf spykeutils.egg-info

## spykeutils 0.4.2

=== debian/changelog ===
spykeutils (0.4.2-1~nd90+1) stretch; urgency=medium

  * Backported for stretch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 07 Jan 2016 22:17:35 -0500

spykeutils (0.4.2-1) unstable; urgency=low

  * Package upstream 0.4.2.

 -- Robert Pröpper <robert.proepper@gmail.com>  Wed, 06 Jan 2016 13:11:13 +0100

## spykeutils 0.4.3

=== debian/changelog ===
spykeutils (0.4.3-1) unstable; urgency=low

  * Package upstream 0.4.3 (Closes: #815399).

 -- Robert Pröpper <robert.proepper@gmail.com>  Sat, 27 Feb 2016 20:40:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper (>= 7.2.18),
                python-all (>= 2.7),
                python-neo (>= 0.2.1),
+               python-neo (<< 0.4),
                python-setuptools,
                python-nose,
                python-scipy,

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/spykeutils-$1/" \
  http://github.com/rproepp/spykeutils/tags .*archive/(\d[\d\.a-z]+)\.tar\.gz
